Subject: Re: Policy on Spam control on IETF mailing lists

From: Brian E Carpenter <[email-masked]>
Date: Thu, 16 Jun 2005 18:41:21 +0200

Reviewing some oldish mail...

Bill wrote

> The current wording of the draft spam policy says that people
> have to be able to know that their message was discarded;

I do have doubts about that. Yes, in the event that a moderator
accidentally or deliberately drops a real message, it would be
good if that was an auditable event. But given the realities of
today's spam load on our lists, I think it's a rather impractical
requirement. I could just about imagine keeping an audit trail
with one line per discard (sender, subject, date, message ID)
but even that would be a severe burden for a small benefit.
If someone claims their mail has been inappropriately discarded,
we can investigate that even without an audit trail.

And BTW, even reading the subject fields of the spam to the lists
I moderate can make you feel disgusted.

   Brian

Bill Fenner wrote:
>>I would be very leery of doing any automatic discards. There's just too high
>>a risk of discarding an occasional good one.
> 
> 
> I think it depends.  Do you think [email-masked] will ever
> legitimately need to post to an ietf mailing list?
> 
> The current wording of the draft spam policy says that people
> have to be able to know that their message was discarded; that
> would mean using the mailman "reject" option (which sends a message
> back, which might bounce, which might get you more mail to discard)
> or implement a web page that lists messages that have been discarded.
> I don't think that anyone has integrated the latter functionality
> into mailman yet, though; there are some good pieces floating around
> but I don't think they've been put together.
> 
> (It's on my plate to make one wording tweak to this draft, which was
> first discussed on wgchairs in Feb 2004, and run it by wgchairs@ again)
> 
>   Bill
>